#pragma once

#include <X11/Xlib.h>

namespace uw {
  typedef struct Extent2D {
    int width;
    int height;
  } Extent2D;

  class Screen {
    public:
      Screen();
      ~Screen();

      Display *getDisplay() { return dp; }
      Window getWindow() { return w; }
      int getScreen() { return screen; }

      Extent2D &getExtent() { return extent; }

    private:
      Display *dp;
      Window w;
      int screen;

      Extent2D extent;
  };
}
